package cc.smtweb.system.bpm.web.sys.user.role;

import cc.smtweb.framework.core.annotation.SwTable;
import cc.smtweb.framework.core.db.impl.DefaultEntity;

/**
 * Created by 1 at 2022-07-28 19:15:18
 * 实体【[角色表](SYS_ROLE)】的Entity类
 */
@SwTable("SYS_ROLE")
public class Role extends DefaultEntity {
    public static final String ENTITY_NAME = "SYS_ROLE";

    public Role() {
        super(ENTITY_NAME);
    }

    /**
     * 主键
     */
    public long getId() {
        return getLong("srl_id");
    }

    /**
     * 主键
     */
    public void setId(long srl_id) {
        put("srl_id", srl_id);
    }

    /**
     * 类别
     */
    public long getType() {
        return getLong("srl_type");
    }

    /**
     * 类别
     */
    public void setType(long srl_type) {
        put("srl_type", srl_type);
    }

    /**
     * 编码
     */
    public String getCode() {
        return getStr("srl_code");
    }

    /**
     * 编码
     */
    public void setCode(String srl_code) {
        put("srl_code", srl_code);
    }

    /**
     * 名称
     */
    public String getName() {
        return getStr("srl_name");
    }

    /**
     * 名称
     */
    public void setName(String srl_name) {
        put("srl_name", srl_name);
    }

    /**
     * 备注
     */
    public String getRemark() {
        return getStr("srl_remark");
    }

    /**
     * 备注
     */
    public void setRemark(String srl_remark) {
        put("srl_remark", srl_remark);
    }

    /**
     * 等级
     */
    public long getLevel() {
        return getLong("srl_level");
    }

    /**
     * 等级
     */
    public void setLevel(long srl_level) {
        put("srl_level", srl_level);
    }

    /**
     * 菜单方案
     */
    public long getSmpId() {
        return getLong("srl_smp_id");
    }

    /**
     * 菜单方案
     */
    public void setSmpId(long srl_smp_id) {
        put("srl_smp_id", srl_smp_id);
    }

    /**
     * 权限详细
     */
    public String getPrivilege() {
        return getStr("srl_privilege");
    }

    /**
     * 权限详细
     */
    public void setPrivilege(String srl_privilege) {
        put("srl_privilege", srl_privilege);
    }
}
